---
- entityDefinitions:
  - IDR_Element_Content__has__EC_Dynamic_Display_Option: '{4a41391a-c325-4182-920a-a94ad28c15fa}'
  - IDR_EC_Dynamic_Display_Option__for__Element_Content: '{1c0d0aaa-d40b-4e21-9ee7-30a9bb4de5c0}'

  - IDR_Element_Content__has__Parameter_Assignment: "{51214ef0-458a-44fa-8b9d-f3d9d2309388}"
  - IDR_Parameter_Assignment__for__Element_Content: "{dcef180b-a2ca-4d87-bb05-b946c319b562}"
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - relationship: '&IDR_Element_Content__has__Instance;'
    index: 103
    sourceClassId: '&IDC_ElementContent;'
    type: 'has'
    destinationClassId: '&IDC_Instance;'
    siblingRelationshipId: '&IDR_Instance__for__Element_Content;'
    singular: yes

  - relationship: '&IDR_Instance__for__Element_Content;'
    index: 104
    sourceClassId: '&IDC_Instance;'
    type: 'for'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Element_Content__has__Instance;'
    singular: no

  - relationship: '&IDR_Layout__for__Element;'
    index: 2553
    sourceClassId: '&IDC_Layout;'
    type: 'for'
    destinationClassId: '&IDC_Element;'
    siblingRelationshipId: '&IDR_Element__has__Layout;'
    singular: no

  - relationship: '&IDR_Element__has__Layout;'
    index: 2554
    sourceClassId: '&IDC_Element;'
    type: 'has'
    destinationClassId: '&IDC_Layout;'
    siblingRelationshipId: '&IDR_Layout__for__Element;'
    singular: no

  - relationship: '&IDR_Layout__for__Element_Content;'
    index: 2555
    sourceClassId: '&IDC_Layout;'
    type: 'for'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Element_Content__has__Layout;'
    singular: no

  - relationship: '&IDR_Element_Content__has__Layout;'
    index: 2556
    sourceClassId: '&IDC_ElementContent;'
    type: 'has'
    destinationClassId: '&IDC_Layout;'
    siblingRelationshipId: '&IDR_Layout__for__Element_Content;'
    singular: no

  - relationship: '&IDR_Element_Content__has__EC_Dynamic_Display_Option;'
    index: 259
    sourceClassId: '&IDC_ElementContent;'
    type: 'has'
    destinationClassId: '&IDC_ECDynamicDisplayOption;'
    siblingRelationshipId: '&IDR_EC_Dynamic_Display_Option__for__Element_Content;'
    singular: no

  - relationship: '&IDR_EC_Dynamic_Display_Option__for__Element_Content;'
    index: 260
    sourceClassId: '&IDC_ECDynamicDisplayOption;'
    type: 'for'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Element_Content__has__EC_Dynamic_Display_Option;'
    singular: no

  - class:      '&IDC_ElementContent;'
    name:      Element Content
    index:     56
    customTagName: 'elementContent'
    registerForTemplate: yes
    defaultTask: '&IDI_Task_ViewElementContent;'
    instancesLabeledByRAMB: '&IDMB_Element_Content__get__Fully_Qualified_Name;'
    relatedTasks:
    - instance: '&IDI_Task_ViewElementContent;'
    - instance: '&IDI_Task_EditElementContent;'
    attributes:
    - instance: '&IDA_Order;'
      customTagName: 'order'
    - instance: '&IDA_Label;'
      customTagName: 'label'
    relationships:
    - instance: '&IDR_Element_Content__has__Instance;'
      customTagName: 'defaultDataType'
    - instance: '&IDR_Element_Content__has__Element_Content_Display_Option;'
      customTagName: 'displayOptions'
    - instance: '&IDR_Element_Content__has__Layout;'
      customTagName: 'layout'
    - instance: '&IDR_Element_Content__built_from__BEM_Process;'
      customTagName: 'builtFromBEMProcess'
      customTagNameCreatesInstanceOf: '&IDC_BEMProcess;'
    - instance: '&IDR_Derived_Element_Content__update_with__Executable_returning_Work_Data;'
      customTagName: 'value'
    - instance: '&IDR_Element_Content__has__EC_Dynamic_Display_Option;'
      customTagName: 'dynamicDisplayOptions'
      customTagNameCreatesInstanceOf: '&IDC_ECDynamicDisplayOption;'
    - instance: '&IDR_Element_Content__has__Parameter_Assignment;'
      customTagName: 'parameterAssignments'
      customTagNameCreatesInstanceOf: '&IDC_ParameterAssignment;'
      
  - relationship: '&IDR_Element_Content__has__Element_Content_Display_Option;'
    index: 259
    sourceClassId: '&IDC_ElementContent;'
    type: 'has'
    destinationClassId: '&IDC_ElementContentDisplayOption;'
    siblingRelationshipId: '&IDR_Element_Content_Display_Option__for__Element_Content;'
    singular: no
  - relationship: '&IDR_Element_Content_Display_Option__for__Element_Content;'
    index: 260
    sourceClassId: '&IDC_ElementContentDisplayOption;'
    type: 'for'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Element_Content__has__Element_Content_Display_Option;'
    singular: no

  - relationship: '&IDR_Element_Content__has__Parameter_Assignment;'
    index: 2157
    sourceClassId: '&IDC_ElementContent;'
    type: 'has'
    destinationClassId: '&IDC_ParameterAssignment;'
    siblingRelationshipId: '&IDR_Parameter_Assignment__for__Element_Content;'
    singular: no
  - relationship: '&IDR_Parameter_Assignment__for__Element_Content;'
    index: 2158
    sourceClassId: '&IDC_ParameterAssignment;'
    type: 'for'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Element_Content__has__Parameter_Assignment;'
    singular: no

  - relationship: '&IDR_Derived_Element_Content__update_with__Executable_returning_Work_Data;'
    index: 2165
    sourceClassId: '&IDC_ElementContent;'
    type: 'update with'
    destinationClassId: '&IDC_ExecutableReturningWorkData;'
    siblingRelationshipId: '&IDR_Executable_returning_Work_Data__used_by__Derived_Element_Content;'
    singular: no
  - relationship: '&IDR_Executable_returning_Work_Data__used_by__Derived_Element_Content;'
    index: 2166
    sourceClassId: '&IDC_ExecutableReturningWorkData;'
    type: 'used by'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Derived_Element_Content__update_with__Executable_returning_Work_Data;'
    singular: no